Subject: Re: bug#24298: 25.1; problem with restoring desktop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Aug 2016 22:18:56 +0300

> Date: Thu, 25 Aug 2016 15:04:11 -0400
> From: John Covici <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Please look in the .emacs.desktop file itself.  It's a text file, so
> > is human-readable.
> 
> And the order does correspond to what I see in the buffer list.  Aside
> from the damage of restoring the desktop in a version which broke the
> restore, it looks like I had it before the problem started.

Sorry, I'm confused: when you say "I had it", what do you mean by
"it"?

The desktop file records the buffer that was current in each frame, as
part of the "frameset" at the beginning of the file, and then it
records the list of buffers unrelated to frames.  Does the frameset
state the buffers correctly?